function ihf = mapsubdom(indata,inds,nx,ny,xw,ys,dx,dy,xwd,xed,ysd,ynd,dxt,dyt)
%
% Put indata into a 2D nx by ny array at inds(:,1) and inds(:,2) indices 
% with NaNs in other locations. Interprets the array as data on a uniform 
% geographical grid with dx and dy degree increments (assumed positive) 
% and westernmost and southernmost coordinates xw and ys respectively.
% Plots only [xwd xed ysd ysn] subdomain using dxt and dyt tick intervals 
% on X and Y axes respectively. Opens a new figure, returns a figure handle ihf.
%
% This function uses imagescnan.m script written and provided for public use 
% by Carlos Adrian Vargas Aguilera
%
% A.Kaplan, J.E. Smerdon
% 7 August 2010 

datagridded = nan(ny,nx);
for i = 1:length(indata),
datagridded(inds(i,2),inds(i,1)) = indata(i);
end

xe=xw+dx*(nx-1);
yn=ys+dy*(ny-1);

ihf = figure;
imagescnan([xw xe],[ys yn],datagridded)
hold on

geoshow('landareas.shp', 'FaceColor','none')
axis equal
axis([xwd xed ysd ynd])
set(gca,'ydir','normal','YTick',ysd:dyt:ynd,'XTick',...
    xwd:dxt:xed,'xaxislocation','top','tickdir','out',...
    'LineWidth',0.5);
colorbar('southoutside')
%
